#!/bin/sh
#
# Author: Petter Reinholdtsen <pere@hungry.com>
# Date:   2001-08-26
#
# Check Skolelinux CD and make sure all the packages listed in the
# spec list is included on the CD.

CODENAME=woody
ARCH=i386

TMPBASE=/skolelinux/developer/local0/ftp/tmp/$CODENAME-$ARCH
CDdir=$TMPBASE/CD1

TMPFILE=/var/tmp/check-cd-$$-tmp.log

if test ! -z "$1"; then
	SORTED_WISHLIST=$1
else
	SORTED_WISHLIST=pkgwishlist-sorted.txt
fi

if test ! -z "$2"; then
	CURRENT_PKGLIST=$2
else
	CURRENT_PKGLIST=pkgdeblist.txt
fi

# The names of the packages on the CD
cat pkgdeblist.txt | tr _ ' '|cut -f1 -d" " |sort -u > pkglist.txt

echo

comm -13 pkglist.txt pkgwishlist-sorted.txt | sed 's/^/  /' > $TMPFILE
if test -s $TMPFILE; then
	echo "Packages missing on CD 1:"
	cat $TMPFILE
	echo
else
	echo "No packages is missing on CD 1."
fi

rm -f $TMPFILE

# Check if our local packages are included on the CD.
compare_local_src_target() {
	CODENAME=$1
	SUBDIR=$2

	TMP1=/tmp/check-cd-$$-tmp1.log
	TMP2=/tmp/check-cd-$$-tmp2.log

	ls $CDdir/dists/$CODENAME/local/$SUBDIR/non-official |
		egrep '\.u?deb$' > $TMP1
	ls ~ftp/skolelinux/dists/$CODENAME/local/$SUBDIR/non-official |
		egrep '\.u?deb$' > $TMP2

	echo "Local $CODENAME[$SUBDIR] packages used on the CD:"
	echo
	comm -12 $TMP1 $TMP2 |sed 's/^/  /'
	echo
	echo "Local $CODENAME[$SUBDIR] packages which are not on the CD:"
	echo
	comm -13 $TMP1 $TMP2 |sed 's/^/  /'
	echo

	rm -f $TMP1 $TMP2
}

compare_local_src_target woody binary-$ARCH
compare_local_src_target sid debian-installer/binary-$ARCH

#
# Report the source packages of our local packages.
#
echo "Local source packages:"
echo
tools/local-src.sh
